> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embeddables.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Embeddable

> Retrieve an embeddable from the database based on the ID



## OpenAPI

````yaml GET /projects/{projectId}/embeddables/{embeddableId}
openapi: 3.0.1
info:
  title: api
  version: 0.0.1
servers:
  - url: https://api.embeddables.com
    description: Production
security: []
paths:
  /projects/{projectId}/embeddables/{embeddableId}:
    get:
      tags:
        - Embeddables
      description: Retrieve an embeddable from the database based on the ID
      operationId: embeddables_getEmbeddable
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ProjectId'
          examples:
            Example1:
              value: pr_myexampleproject
            Example2:
              value: pr_myexampleproject
        - name: embeddableId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/EmbeddableId'
          examples:
            Example1:
              value: flow_myexampleembeddable
            Example2:
              value: flow_doesnotexist
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
          examples:
            Example1:
              value: rk_myexampleapikey
            Example2:
              value: rk_myexampleapikey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddableWithJson'
              examples:
                Example1:
                  value:
                    embeddable_id: flow_myexampleembeddable
                    title: My Example Embeddable
                    group_id: flow_myexamplegroup
                    project_id: pr_myexampleproject
                    json_string_prod: '{ "pages": [] }'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorBody'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddableDoesNotExistErrorBody'
              examples:
                Example1:
                  value:
                    error:
                      code: embeddable_does_not_exist
                      message: The embeddable does not exist
                    projectId: pr_myexampleproject
                    embeddableId: flow_doesnotexist
components:
  schemas:
    ProjectId:
      title: ProjectId
      type: string
      description: The unique identifier for a Project in the database
    EmbeddableId:
      title: EmbeddableId
      type: string
      description: The unique identifier for a Embeddable in the database
    EmbeddableWithJson:
      title: EmbeddableWithJson
      type: object
      properties:
        json_string_prod:
          $ref: '#/components/schemas/JsonString'
      required:
        - json_string_prod
      allOf:
        - $ref: '#/components/schemas/Embeddable'
    UnauthorizedErrorBody:
      title: UnauthorizedErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
      required:
        - error
        - projectId
    EmbeddableDoesNotExistErrorBody:
      title: EmbeddableDoesNotExistErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
        embeddableId:
          $ref: '#/components/schemas/EmbeddableId'
      required:
        - error
        - projectId
        - embeddableId
    JsonString:
      title: JsonString
      type: string
      description: The JSON representation of the embeddable, stringified
    Embeddable:
      title: Embeddable
      type: object
      properties:
        embeddable_id:
          $ref: '#/components/schemas/EmbeddableId'
        title:
          type: string
        group_id:
          type: string
        project_id:
          type: string
      required:
        - embeddable_id
        - title
        - group_id
        - project_id
    ErrorBody:
      title: ErrorBody
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message

````